Skip to main content
POST
/
environments
Create environment
curl --request POST \
  --url https://runcrate.ai/api/v1/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "is_default": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Body

application/json
name
string
required

Lowercase letters, numbers, and dashes only (1–32 chars), starting with a letter or number.

Pattern: ^[a-z0-9][a-z0-9-]{0,31}$

Response

Environment created.

data
object
required